{% extends 'base.html.twig' %}
{% block header_title %}Catégories de réunions du week-end{% endblock %}
{% block header_subtitle %}Liste des catégories{% endblock %}
{% block head_content %}
    <div class="toggle-wrap nk-block-tools-toggle">
        <a href="#" class="btn btn-icon btn-trigger toggle-expand me-n1" data-target="pageMenu"><em class="icon ni ni-more-v"></em></a>
        <div class="toggle-expand-content" data-content="pageMenu">
            <ul class="nk-block-tools g-3">
                <li class="nk-block-tools-opt"><a href="{{ path('app_meeting_weekend_weekendcategory_create') }}" class="btn btn-primary"><em class="icon ni ni-grid-add-fill-c"></em><span>Ajouter une catégorie</span></a></li>
            </ul>
        </div>
    </div>
{% endblock %}
{% block body %}
    {% for message in app.flashes('success') %}
        <div class="alert alert-fill alert-icon alert-success alert-dismissible">
            <em class="icon ni ni-check-circle-fill"></em>
            {{ message }}
        </div>
    {% endfor %}
    <div class="col-xxl-12 col-sm-12 col-md-12">

        <div class="card card-bordered card-full">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title">
                        <h6 class="title"><span class="me-2">Catégories de réunions du week-end</span></h6>
                    </div>
                </div>
            </div>
            <div class="card-inner p-0 border-top">
                <div class="nk-tb-list nk-tb-orders">
                    <div class="nk-tb-item nk-tb-head">
                        <div class="nk-tb-col tb-col"><span>Intitulé</span></div>
                        <div class="nk-tb-col tb-col-md"><span>Lecture TdG</span></div>
                        <div class="nk-tb-col tb-col-md"><span>Orateur</span></div>
                        <div class="nk-tb-col tb-col-md"><span>Orateur externe</span></div>
                        <div class="nk-tb-col tb-col-md"><span>Président</span></div>
                        <div class="nk-tb-col tb-col-md"><span>Discours</span></div>
                        <div class="nk-tb-col"><span>&nbsp;</span></div>
                    </div>
                    {% for cat in categories %}
                        <div class="nk-tb-item">
                            <div class="nk-tb-col">
                               <span>{{ cat.name }}</span>
                            </div>
                            <div class="nk-tb-col">
                                {% if cat.isReaderEnabled %}
                                    <span>✅</span>
                                {% endif %}
                            </div>
                            <div class="nk-tb-col">
                                {% if cat.isSpeakerEnabled %}
                                    <span>✅</span>
                                {% endif %}
                            </div>
                            <div class="nk-tb-col">
                                {% if cat.isExternalSpeakerEnabled %}
                                    <span>✅</span>
                                {% endif %}
                            </div>
                            <div class="nk-tb-col">
                                {% if cat.isChairmanEnabled %}
                                    <span>✅</span>
                                {% endif %}
                            </div>
                            <div class="nk-tb-col">
                                {% if cat.isSpeechEnabled %}
                                    <span>✅</span>
                                {% endif %}
                            </div>
                            <div class="nk-tb-col nk-tb-col-action">
                                <div class="dropdown">
                                    <a class="text-soft dropdown-toggle btn btn-icon btn-trigger" data-bs-toggle="dropdown"><em class="icon ni ni-more-h"></em></a>
                                    <div class="dropdown-menu dropdown-menu-end dropdown-menu-xs">
                                        <ul class="link-list-plain">
                                            <li><a href="#"
                                                   data-path="{{ path('app_meeting_weekend_weekendcategory_edit', {'id': cat.id}) }}" data-id="{{ cat.id }}" id="launchModal{{ cat.id }}" class="btnLaunchModal">Modifier</a></li>
                                            <li><a href="{{ path('app_meeting_weekend_weekendcategory_delete', {'id': cat.id}) }}">Supprimer</a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}

                </div>
            </div>
        </div><!-- .card -->
    </div><!-- .col -->
    <div class="modal fade" tabindex="-1" id="modalAjaxEditAssignment">
    </div>
{% endblock %}

{% block javascripts %}
    <script>
        const $btnLaunch = $('.btnLaunchModal');


        $('.btnLaunchModal').click(function (e) {
            const id = $(this).data('id');
            const $launch = $('#launchModal' + id);
            const path = $launch.data('path');
            e.preventDefault();
            fetch(path).then((response) => {
                return response.text();
            })
                .then((blob) => {
                    $('#modalAjaxEditAssignment').replaceWith(blob);
                    $('#modalAjaxEditAssignment').modal('show');
                })
        })
    </script>
{% endblock %}
